/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#if !defined(TALKATU_GLOBAL_HEADER_INSIDE) && !defined(TALKATU_COMPILATION)
#error "only <talkatu.h> may be included directly"
#endif

#ifndef TALKATU_LINK_DIALOG_H
#define TALKATU_LINK_DIALOG_H

#include <gtk/gtk.h>

#define TALKATU_TYPE_LINK_DIALOG            (talkatu_link_dialog_get_type())
#define TALKATU_LINK_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), TALKATU_TYPE_LINK_DIALOG, TalkatuLinkDialog))
#define TALKATU_LINK_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), TALKATU_TYPE_LINK_DIALOG, TalkatuLinkDialogClass))
#define TALKATU_IS_LINK_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), TALKATU_TYPE_LINK_DIALOG))
#define TALKATU_IS_LINK_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), TALKATU_TYPE_LINK_DIALOG))
#define TALKATU_LINK_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), TALKATU_TYPE_LINK_DIALOG, TalkatuLinkDialogClass))

typedef struct _TalkatuLinkDialog           TalkatuLinkDialog;
typedef struct _TalkatuLinkDialogClass      TalkatuLinkDialogClass;

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtk.h>

struct _TalkatuLinkDialog {
	GtkDialog parent;

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

struct _TalkatuLinkDialogClass {
	GtkDialogClass parent;

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

G_BEGIN_DECLS

GType talkatu_link_dialog_get_type(void);

GtkWidget *talkatu_link_dialog_new(void);

gchar *talkatu_link_dialog_get_url(TalkatuLinkDialog *dialog);
gchar *talkatu_link_dialog_get_display_text(TalkatuLinkDialog *dialog);

G_END_DECLS

#endif /* TALKATU_LINK_DIALOG_H */
