/*
 * talkatu
 * Copyright (C) 2017-2018 Gary Kramlich <grim@reaperworld.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <http://www.gnu.org/licenses/>.
 */

#if !defined(TALKATU_GLOBAL_HEADER_INSIDE) && !defined(TALKATU_COMPILATION)
#error "only <talkatu.h> may be included directly"
#endif

#ifndef TALKATU_TOOLBAR_H
#define TALKATU_TOOLBAR_H

#include <gtk/gtk.h>

#define TALKATU_TYPE_TOOLBAR            (talkatu_toolbar_get_type())
#define TALKATU_TOOLBAR(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), TALKATU_TYPE_TOOLBAR, TalkatuToolbar))
#define TALKATU_TOOLBAR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), TALKATU_TYPE_TOOLBAR, TalkatuToolbarClass))
#define TALKATU_IS_TOOLBAR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), TALKATU_TYPE_TOOLBAR))
#define TALKATU_IS_TOOLBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), TALKATU_TYPE_TOOLBAR))
#define TALKATU_TOOLBAR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), TALKATU_TYPE_TOOLBAR, TalkatuToolbarClass))

typedef struct _TalkatuToolbar           TalkatuToolbar;
typedef struct _TalkatuToolbarClass      TalkatuToolbarClass;

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtk.h>

struct _TalkatuToolbar {
	GtkToolbar parent;

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

struct _TalkatuToolbarClass {
	GtkToolbarClass parent;

	void (*_talkatu_reserved1)(void);
	void (*_talkatu_reserved2)(void);
	void (*_talkatu_reserved3)(void);
	void (*_talkatu_reserved4)(void);
};

G_BEGIN_DECLS

GType talkatu_toolbar_get_type(void);

GtkWidget *talkatu_toolbar_new(void);

G_END_DECLS

#endif /* TALKATU_TOOLBAR_H */
